# CAcert Web Resources

This repository contains a set of assets (icons, logos, CSS theme) that can be
used for CAcert specific web applications.

The code in this repository is licensed under the terms of the Apache License
Version 2.0.

Copyright © 2020, 2021, 2022  Jan Dittberner

## Build

The resources are built using [webpack 5](https://webpack.js.org/) and
[yarn](https://classic.yarnpkg.com/lang/en/). You need recent nodejs and yarn
versions. See the [Debian installation
instructions](https://github.com/nodesource/distributions/blob/master/README.md#debinstall)
of nodesource or look at the other options on the [nodejs Download
page](https://nodejs.org/en/download/) if you cannot use Debian Bullseye or
newer.

When you are sure that you have nodejs >= 12 and yarn you can install the
required dependencies and run webpack like this:

```
yarn
yarn run build
```

*Note:* The Debian package and binary for yarn is named `yarnpkg`
